using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UtmConvert {
    public class LatLonPoint {

        double _lat = 44.045555;
        public double Lat {
            get { return _lat; }
            set { _lat = value; }
        }

        string _ns = "N";
        public string Ns {
            get { return _ns; }
            set { _ns = value; }
        }

        double _lon = -123.1017;
        public double Lon {
            get { return _lon; }
            set { _lon = value; }
        }

        string _ew = "W";
        public string Ew {
            get { return _ew; }
            set { _ew = value; }
        }

        string _format = "ddd_dd";
        public string Format {
            get { return _format; }
            set { _format = value; }
        }

        string _note = "cone";
        public string Note {
            get { return _note; }
            set { _note = value; }
        }

        string _handle = "";
        public string Handle {
            get { return _handle; }
            set { _handle = value; }
        }

        public LatLonPoint() {
        }

        public LatLonPoint(double lat, string ns, double lon
            , string ew, string format, string note, string handle) {
            _lat = lat;
            _ns = ns;
            _lon = lon;
            _ew = ew;
            _format = format;
            _note = note;
            _handle = handle;
        }
    }
}
